Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Class PropertyValue

    java.lang.Object
      groovy.lang.PropertyValue

    public class PropertyValue

extends Object

Constructor Summary
`PropertyValue(Object bean, MetaProperty mp)`

Method Summary
`String` | `getName()`
`Class` | `getType()`
`Object` | `getValue()`
`void` | `setValue(Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyValue

    public PropertyValue(Object bean,
                         MetaProperty mp)

Method Detail

### getName

    public String getName()

### getType

    public Class getType()

### getValue

    public Object getValue()

### setValue

    public void setValue(Object value)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD